System.ServiceModel 4.0.0.0 System.ServiceModel.WSHttpBindingBase

Federation is the ability to share identities across multiple systems for authentication and authorization. These identities can refer to users or to machines. Federated HTTP supports SOAP security as well as mixed-mode security, but it does not support exclusively using transport security. This binding provides indigo1 support for the WS-Federation protocol. Services configured with this binding must use the HTTP transport.

Bindings consist of a stack of binding elements. The stack of binding elements in is the same as that contained in when is set to the default value of .

The controls the details of the message security settings, the values of which are available from the instance of that is returned by the property.

The also provides a property to set and retrieve the URI at which the privacy notice is located.

When calling a indigo2 service built with netfx40_short from a WCF client application built with netfx35_short or earlier, the configuration file generated by svcutil.exe or adding a service reference from vsprvs contains the establishSecurityContext attribute in the binding configuration. This attribute is not recognized by the netfx35_short runtime and the application throws an with the message "Unrecognized attribute establishSecurityContext ". To workaround this problem, remove the establishSecurityContext attribute from the binding configuration.

A secure and interoperable binding that supports federated security.

- Constructor
  4.0.0.0

  The details of these settings are available from the instance of that is returned by the property.

  Initializes a new instance of the class.

- Constructor
  4.0.0.0
  To be added.

  The default value of is which specifies that integrity, confidentiality, and server and client authentication are provided using SOAP message security. The details of these settings are available from the instance of that is returned by the property.

  Initializes a new instance of the class with a specified type of security used by the binding.

- Constructor
  4.0.0.0
  To be added.
  To be added.

  Initializes a new instance of the class with a binding specified by its configuration name.

- Constructor
  4.0.0.0
  To be added.
  To be added.
  To be added.

  Initializes a new instance of the class with a specified type of security used by the binding and a value that indicates whether a reliable session is enabled.

- Property
  4.0.0.0
  System.Boolean To be added. To be added. To be added.
- Method
  4.0.0.0
  System.ServiceModel.Channels.BindingElementCollection

  The stack of binding elements depends on the value of the set.

  The stack of binding elements in is the same as that contained in when is set to the default value of .

  However, setting to results in a stack that is something of a hybrid between the and bindings.

  Finally, using the MTOM encoder looks exactly the same as for .

  Creates a collection with the binding elements for the binding.

  The of type that makes up the binding.

- Method
  4.0.0.0
  System.ServiceModel.Channels.SecurityBindingElement To be added.

  Creates a that has enabled a reliable session.

  A that has enabled a reliable session.

- Method
  4.0.0.0
  System.ServiceModel.Channels.TransportBindingElement To be added.

  Returns the transport binding element from the current binding.

  The from the current binding.

- Property
  4.0.0.0
  System.Uri To be added. To be added.

  Gets or sets the URI at which the privacy notice is located.

- Property
  4.0.0.0
  System.Int32 To be added. To be added.

  Gets or sets the privacy notice version number for the binding.

- Property
  4.0.0.0
  System.ServiceModel.WSFederationHttpSecurity To be added. To be added.

  Gets or sets the type of security used with this binding.